Skip to main content
GET
/
sms
List SMS messages
curl --request GET \
  --url https://api.robase.dev/v1/sms \
  --header 'Authorization: Bearer <token>'
{
  "data": [
    {
      "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
      "status": "queued",
      "to": "+2348012345678",
      "from": "SHUTTLERS",
      "body": "<string>",
      "segments": 123,
      "encoding": "GSM7",
      "country": "NG",
      "carrier": "mtn_ng",
      "provider": "beem",
      "provider_message_id": "<string>",
      "provider_attempts": [
        {
          "provider": "<string>",
          "attempted_at": "2023-11-07T05:31:56Z",
          "ok": true,
          "provider_message_id": "<string>",
          "error_code": "<string>",
          "error_message": "<string>"
        }
      ],
      "cost": {
        "amount_kobo": 123,
        "currency": "NGN"
      },
      "test_mode": true,
      "created_at": "2023-11-07T05:31:56Z",
      "sent_at": "2023-11-07T05:31:56Z",
      "delivered_at": "2023-11-07T05:31:56Z"
    }
  ],
  "next_cursor": "<string>"
}

Authorizations

Authorization
string
header
required

Pass your API key as Authorization: Bearer rb_live_...

Query Parameters

limit
integer
default:50
Required range: x <= 200
cursor
string

Response

200 - application/json

OK

data
object[]
next_cursor
string